Member (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.tools.pulse.tests

## Class Member

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.JMXBaseBean
  - - org.apache.geode.tools.pulse.tests.Member

- All Implemented Interfaces:
    MemberMBean

      public class Member
      extends JMXBaseBean
      implements MemberMBean

- - ### Field Summary

    - ### Fields inherited from interface org.apache.geode.tools.pulse.tests.MemberMBean

      `OBJECT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Member(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageReads()`
    `double` | `getAverageWrites()`
    `double` | `getCpuUsage()`
    `long` | `getCurrentHeapSize()`
    `double` | `getDiskWritesRate()`
    `java.lang.String[]` | `getGroups()`
    `java.lang.String` | `getHost()`
    `java.lang.String` | `getId()`
    `long` | `getJVMPauses()`
    `protected java.lang.String` | `getKey(java.lang.String propName)`
    `double` | `getLoadAverage()`
    `boolean` | `getLocator()`
    `boolean` | `getManager()`
    `long` | `getMaximumHeapSize()`
    `long` | `getMaxMemory()`
    `java.lang.String` | `getMember()`
    `long` | `getMemberUpTime()`
    `int` | `getNumThreads()`
    `long` | `getOffHeapFreeMemory()`
    `long` | `getOffHeapFreeSize()`
    `long` | `getOffHeapUsedMemory()`
    `long` | `getOffHeapUsedSize()`
    `int` | `getPort()`
    `java.lang.String` | `getRedundancyZone()`
    `boolean` | `getServer()`
    `long` | `getTotalBytesOnDisk()`
    `long` | `getTotalDiskUsage()`
    `long` | `getTotalFileDescriptorOpen()`
    `int` | `getTotalRegionCount()`
    `long` | `getUsedMemory()`
    `java.lang.String` | `getVersion()`

    - ### Methods inherited from class org.apache.geode.tools.pulse.tests.JMXBaseBean

      `getBoolean, getDouble, getFloat, getInt, getLong, getLongArray, getString, getStringArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Member

          public Member(java.lang.String name)

  - ### Method Detail

    - #### getKey

          protected java.lang.String getKey(java.lang.String propName)

      Specified by:
        `getKey` in class `JMXBaseBean`

    - #### getManager

          public boolean getManager()

      Specified by:
        `getManager` in interface `MemberMBean`

    - #### getTotalRegionCount

          public int getTotalRegionCount()

      Specified by:
        `getTotalRegionCount` in interface `MemberMBean`

    - #### getLocator

          public boolean getLocator()

      Specified by:
        `getLocator` in interface `MemberMBean`

    - #### getTotalDiskUsage

          public long getTotalDiskUsage()

      Specified by:
        `getTotalDiskUsage` in interface `MemberMBean`

    - #### getServer

          public boolean getServer()

      Specified by:
        `getServer` in interface `MemberMBean`

    - #### getGroups

          public java.lang.String[] getGroups()

      Specified by:
        `getGroups` in interface `MemberMBean`

    - #### getRedundancyZone

          public java.lang.String getRedundancyZone()

      Specified by:
        `getRedundancyZone` in interface `MemberMBean`

    - #### getTotalFileDescriptorOpen

          public long getTotalFileDescriptorOpen()

      Specified by:
        `getTotalFileDescriptorOpen` in interface `MemberMBean`

    - #### getLoadAverage

          public double getLoadAverage()

      Specified by:
        `getLoadAverage` in interface `MemberMBean`

    - #### getDiskWritesRate

          public double getDiskWritesRate()

      Specified by:
        `getDiskWritesRate` in interface `MemberMBean`

    - #### getJVMPauses

          public long getJVMPauses()

      Specified by:
        `getJVMPauses` in interface `MemberMBean`

    - #### getCurrentHeapSize

          public long getCurrentHeapSize()

      Specified by:
        `getCurrentHeapSize` in interface `MemberMBean`

    - #### getMaximumHeapSize

          public long getMaximumHeapSize()

      Specified by:
        `getMaximumHeapSize` in interface `MemberMBean`

    - #### getUsedMemory

          public long getUsedMemory()

      Specified by:
        `getUsedMemory` in interface `MemberMBean`

    - #### getMaxMemory

          public long getMaxMemory()

      Specified by:
        `getMaxMemory` in interface `MemberMBean`

    - #### getNumThreads

          public int getNumThreads()

      Specified by:
        `getNumThreads` in interface `MemberMBean`

    - #### getMemberUpTime

          public long getMemberUpTime()

      Specified by:
        `getMemberUpTime` in interface `MemberMBean`

    - #### getHost

          public java.lang.String getHost()

      Specified by:
        `getHost` in interface `MemberMBean`

    - #### getTotalBytesOnDisk

          public long getTotalBytesOnDisk()

      Specified by:
        `getTotalBytesOnDisk` in interface `MemberMBean`

    - #### getCpuUsage

          public double getCpuUsage()

      Specified by:
        `getCpuUsage` in interface `MemberMBean`

    - #### getMember

          public java.lang.String getMember()

      Specified by:
        `getMember` in interface `MemberMBean`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `MemberMBean`

    - #### getAverageReads

          public double getAverageReads()

      Specified by:
        `getAverageReads` in interface `MemberMBean`

    - #### getAverageWrites

          public double getAverageWrites()

      Specified by:
        `getAverageWrites` in interface `MemberMBean`

    - #### getPort

          public int getPort()

      Specified by:
        `getPort` in interface `MemberMBean`

    - #### getOffHeapFreeSize

          public long getOffHeapFreeSize()

      Specified by:
        `getOffHeapFreeSize` in interface `MemberMBean`

    - #### getOffHeapUsedSize

          public long getOffHeapUsedSize()

      Specified by:
        `getOffHeapUsedSize` in interface `MemberMBean`

    - #### getOffHeapFreeMemory

          public long getOffHeapFreeMemory()

      Specified by:
        `getOffHeapFreeMemory` in interface `MemberMBean`

    - #### getOffHeapUsedMemory

          public long getOffHeapUsedMemory()

      Specified by:
        `getOffHeapUsedMemory` in interface `MemberMBean`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `MemberMBean`